<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html"/>
<xsl:template match="output">
<html>
<xsl:choose>
<xsl:when test="redirect">
    <head>
    <script type="text/JavaScript">
        function init() {
            var s='<xsl:value-of select="redirect"/>';
            document.location.href=s;
        }
    </script>
    </head>
    <body bgcolor="#ffffff" text="#000000" onLoad="init();">
    </body>
</xsl:when>
<xsl:otherwise>
    <head>
        <meta http-equiv="content-type" content="text/html; charset=UTF-8"/>
        <title><xsl:value-of select="@version"/></title>
        <link rel="stylesheet" href="/html/themes/default/style.css" type="text/css"/>
        <link rel="SHORTCUT ICON" href="/html/themes/default/favicon.ico"/>
    </head>
    <body bgcolor="#ffffff" text="#000000" >
    <form method="post" action="/search" name="langform">

        <table width="100%" border="0" cellpadding="0" cellspacing="0">
                <tr>
                    <td valign="top" width="1%">
                        <a href="/"><img src="/html/themes/default/logo.jpg" alt="x-friend Home" vspace="0" border="0" /></a>
                    </td>
                </tr>
        </table>
        <br/>
        <table cellspacing="0" cellpadding="0" border="0" width="100%" height="1">
            <tr><td class="line"><img width="1" height="1" alt=""/></td></tr>
        </table>
        <table class="bgcolor" cellspacing="0" cellpadding="0" border="0" width="100%">
        <tr>
            <td nowrap="nowrap"><font size="+1">
                <strong><xsl:value-of select="lang/AdvancedSearch"/></strong></font>
            </td>
            <td align="right" nowrap="nowrap"><font size="-1">
                <a href="/"><xsl:value-of select="lang/Back"/></a></font>
            </td>
        </tr>
        </table>
        <br/>

        <table width="100%" cellpadding="2" cellspacing="0" class="tableborder">
        <tr>
            <td class="topline"><input type="text" name="allwords" size="60"/><xsl:text> </xsl:text><font size="-1"><xsl:value-of select="lang/AllWords" disable-output-escaping="yes"/></font></td>
        </tr>
        <tr>
            <td><input type="text" name="phrase" size="60"/><xsl:text> </xsl:text><font size="-1"><xsl:value-of select="lang/Phrase" disable-output-escaping="yes"/></font></td>
        </tr>
        <tr>
            <td><input type="text" name="anyword" size="60"/><xsl:text> </xsl:text><font size="-1"><xsl:value-of select="lang/AnyWord" disable-output-escaping="yes"/></font></td>
        </tr>
        <tr>
            <td nowrap="nowrap"><input type="text" name="withoutwords" size="60"/><xsl:text> </xsl:text><font size="-1"><xsl:value-of select="lang/WithoutWords" disable-output-escaping="yes"/></font></td>
        </tr>
        <tr>
            <td>
            <font size="-1">
            <xsl:value-of select="lang/Fields"/>
                <xsl:text>: </xsl:text>
            <select name="fields">
                <xsl:for-each select="fields/*">
                <xsl:element name="option">
                    <xsl:attribute name ="value"><xsl:value-of select="@value"/></xsl:attribute>
                    <xsl:if test="@selected='true'">
                        <xsl:attribute name="selected">selected</xsl:attribute>
                    </xsl:if>
                    <xsl:value-of select="."/>
                </xsl:element>
            </xsl:for-each>
            </select>
            </font>
            </td>
        </tr>
        <tr>
            <td><font size="-1">
                <xsl:value-of select="lang/NumberOfResults"/>
            <xsl:text>: </xsl:text>
                <xsl:if test="lang/NumberOfResultsTextFirst">
                <xsl:value-of select="lang/NumberOfResultsTextFirst"/>
                <xsl:text> </xsl:text>
                </xsl:if>
                <select name="numberOfResults">
                    <option value="10">10</option>
                    <option value="20">20</option>
                    <option value="30">30</option>
                    <option value="50">50</option>
                    <option value="100">100</option>
               </select><xsl:text> </xsl:text>
                <xsl:value-of select="lang/NumberOfResultsText"/>
                </font>
            </td>
        </tr>
        </table>
        <br/>
        <table class="bgcolor" width="100%" border="0" cellspacing="0" cellpadding="2">
                <tr>
                    <td align="left">
                        <font size="-1">
                            <input type="submit" name="submit" value="{lang/Search}"/>
                        </font>
                    </td>
                    <td align="right"><font face="arial,sans-serif" size="-1"><a style="cursor:help" href="/html/themes/default/{lang/lang}_help.html"><xsl:value-of select="lang/Help"/></a></font></td>

                </tr>
        </table>

    <div align="center">
        <p>
            <font class="smallest">© 2004 x-dot GmbH</font>
            <xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;</xsl:text>
        </p>
    </div>

    </form>
    </body>
    </xsl:otherwise>
</xsl:choose>
</html>
</xsl:template>


</xsl:stylesheet>
