<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
        doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"/>
<xsl:template match="output">
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8"/>
    <title><xsl:value-of select="@version"/></title>
    <link rel="stylesheet" href="/html/themes/default/style.css" type="text/css"/>
    <link rel="SHORTCUT ICON" href="/html/themes/default/favicon.ico"/>
</head>
<body bgcolor="#ffffff" text="#000000">
    <table width="100%" border="0" cellpadding="0" cellspacing="0">
                <tr>
                    <td valign="top" width="1%">
                        <a href="/"><img src="/html/themes/default/logo.jpg" alt="x-friend Home" vspace="0" border="0" /></a>
                    </td>
                </tr>
   </table>
        <br/>
   <table cellspacing="0" cellpadding="0" border="0" width="100%" height="1">
            <tr><td class="line"><img width="1" height="1" alt=""/></td></tr>
   </table>
   <table class="bgcolor" cellspacing="0" cellpadding="0" border="0" width="100%">
        <tr>
            <td nowrap="nowrap"><font size="+1">
                <strong><xsl:value-of select="lang/Details"/></strong></font>
            </td>
            <td align="right" nowrap="nowrap"><font size="-1"><a href="{@backLink}"><xsl:value-of select="lang/Back"/></a></font>
            </td>
        </tr>
    </table>


    <h2><xsl:value-of select="@name"/></h2>
    <a href="{@url}"><xsl:value-of select="lang/OpenFile"/></a>
    <xsl:if test="showPreview">
      <xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;</xsl:text><a href="{showPreview}"><xsl:value-of select="lang/ShowPreview"/></a>
    </xsl:if>
    <xsl:if test="openFolder">
      <xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;</xsl:text><a href="{openFolder}"><xsl:value-of select="lang/OpenFolder"/></a>
    </xsl:if>
    <br/>
    <br/>
    <xsl:if test="@width">
    <img src="{@url}" width="{@width}" height="{@height}"/>
    <br/>
    <br/>
    </xsl:if>

    <table width="100%" border="0" cellspacing="3" cellpadding="3">
    <thead class="bgcolor">
        <tr><td><b><xsl:value-of select="lang/Attribute"/></b></td>
            <td width="100%"><b><xsl:value-of select="lang/Value"/></b></td></tr>
    </thead>
    <tbody>
      <xsl:for-each select="node">
          <tr>
            <td valign="top"><b><xsl:value-of select="@name"/></b></td>
            <td><xsl:value-of select="." disable-output-escaping="yes"/></td>
          </tr>
      </xsl:for-each>
    </tbody>
    </table>

    <br/><br/>
    <div align="center"><font class="smallest">© 2004 x-dot GmbH</font></div>
</body>
</html>
</xsl:template>
</xsl:stylesheet>