<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html"/>
<xsl:template match="output">
<html>
<xsl:choose>
<xsl:when test="redirect">
<head>
    <script type="text/JavaScript">
        function init() {
            var s='<xsl:value-of select="redirect"/>';
            document.location.href=s;
        }
    </script>
    <script type="text/javascript" language="JavaScript" src="/html/remote.js">
    <xsl:text> </xsl:text>
    </script>
</head>
<body bgcolor="#ffffff" text="#000000" onLoad="init();">
</body>
</xsl:when>
<xsl:otherwise>
    <head>
        <meta http-equiv="content-type" content="text/html; charset=UTF-8"/>
        <title><xsl:value-of select="@version"/></title>
        <link rel="stylesheet" href="/html/themes/default/style.css" type="text/css"/>
        <link rel="SHORTCUT ICON" href="/html/themes/default/favicon.ico"/>
    </head>

    <body bgcolor="#ffffff" text="#000000" >
    <form method="post" action="/preferences" name="langform">

        <table width="100%" border="0" cellpadding="0" cellspacing="0">
                <tr>
                    <td valign="top" width="1%">
                        <a href="/"><img src="/html/themes/default/logo.jpg" alt="x-friend Home" vspace="0" border="0" /></a>
                    </td>
                </tr>
        </table>
        <br/>
        <table cellspacing="0" cellpadding="0" border="0" width="100%" height="1">
            <tr><td class="line"><img width="1" height="1" alt=""/></td></tr>
        </table>
        <table class="bgcolor" cellspacing="0" cellpadding="0" border="0" width="100%">
        <tr>
            <td nowrap="nowrap"><font size="+1">
                <strong><xsl:value-of select="lang/Preferences"/></strong></font>
            </td>
            <td align="right" nowrap="nowrap"><font size="-1">
                <!--<a style="cursor:help" href="/html/themes/default/help.html#options"><xsl:value-of select="lang/Help"/></a>
                <xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;</xsl:text>-->
                <a href="{@backLink}"><xsl:value-of select="lang/Back"/></a></font>
            </td>
        </tr>
        </table>
        <br/>
        <table class="bgcolor" width="100%" border="0" cellspacing="0" cellpadding="2">
                <tr><td><font size="-1">
                    <xsl:value-of disable-output-escaping="yes" select="lang/SaveText"/>
                    </font>
                    </td>
                    <td align="right">
                        <font size="-1">
                            <input type="submit" value="{lang/SavePreferences}" name="submitbtn"/>
                        </font>
                    </td>
                </tr>
        </table>

        <xsl:if test="error">
            <br/>
        </xsl:if>

        <xsl:for-each select="error">
            <font color="#ff0000"><b><xsl:value-of select="text()"/></b></font><br/>
        </xsl:for-each>


        <xsl:apply-templates/>

        <br/>
        <table class="bgcolor" width="100%" border="0" cellspacing="0" cellpadding="2">
                <tr>
                    <td><font face="arial,sans-serif" size="-1"><xsl:value-of disable-output-escaping="yes" select="lang/SaveText"/></font>
                    </td>
                    <td align="right">
                        <font size="-1">
                            <input type="submit" value="{lang/SavePreferences}" name="submitbtn"/>
                        </font>
                    </td>
                </tr>
        </table>

        <br/>
        <div align="center"><font class="smallest">© 2004 x-dot GmbH</font></div>

    </form>

    </body>
    </xsl:otherwise></xsl:choose>

  </html>
</xsl:template>


<xsl:template match="services">
    <h2><xsl:value-of select="/output/lang/Services"/></h2>

    <!-- LANGUAGE -->
    <table width="100%" cellpadding="2" cellspacing="0" class="tableborder">
        <thead>
            <tr><td><xsl:value-of select="/output/lang/Name"/></td>
                <td><xsl:value-of select="/output/lang/Interval"/></td>
                <td><xsl:value-of select="/output/lang/Status"/></td>
                <td><xsl:value-of select="/output/lang/LastIndex"/></td>
                <td><xsl:value-of select="/output/lang/NextIndex"/></td>
                <td><xsl:value-of select="/output/lang/Action"/></td>
            </tr>
        </thead>
        <tbody>
            <xsl:for-each select="*">
            <tr><td><xsl:for-each select="name/*">
                <xsl:choose>
                    <xsl:when test="position()=1">
                        <strong><xsl:value-of select="."/></strong>
                    </xsl:when>
                    <xsl:otherwise>
                <xsl:value-of select="."/></xsl:otherwise></xsl:choose><br/>
                </xsl:for-each></td>
                <td><xsl:value-of select="interval"/></td>
                <td><xsl:value-of select="status"/>
                    <!--<xsl:if test="status/@service">
                    <xsl:text> </xsl:text>
                    <a href="javascript:openWindow('/service_details?service={status/@service}',400,300,4,'service_detail');">[Details]</a>
                    </xsl:if>--></td>
                <td><xsl:value-of select="lastDate"/>
                    <xsl:if test="lastDuration">
                        <br/><xsl:value-of select="lastDuration"/>
                    </xsl:if>
                </td>
                <td><xsl:value-of select="nextDate"/></td>
                <td nowrap="nowrap">
                    <xsl:for-each select="actions/*">
                        <xsl:element name="a">
                            <xsl:attribute name="href"><xsl:value-of select="@link"/></xsl:attribute>
                            <xsl:if test="@confirm">
                            <xsl:attribute name="onclick">return confirm('<xsl:value-of select="@confirm"/>');</xsl:attribute>
                            </xsl:if>
                            <xsl:value-of select="@name"/>
                        </xsl:element>

                        <br/>
                    </xsl:for-each>
                                    </td>
                                </tr>
                </xsl:for-each>

            <tr>
            <td>
            <a href="/preferences?action=new&amp;type=mail"><xsl:value-of select="/output/lang/NewMailAccount"/></a><br/>
            <a href="/preferences?action=new&amp;type=news"><xsl:value-of select="/output/lang/NewNewsChannel"/></a>
            </td>
            <td colspan="5">
                <a onclick="return confirm('{/output/lang/AskDeleteFullIndex}')" href="/preferences?action=deleteIndex"><xsl:value-of select="/output/lang/DeleteFullIndex"/></a>
            </td>
            </tr>
        </tbody>
        </table>
      <br/>
</xsl:template>

<xsl:template match="extern">
    <br/>

    <h2><xsl:value-of select="/output/lang/Extern"/></h2>

    <table width="100%" cellpadding="2" cellspacing="0" class="tableborder">
        <tr>
            <td class="topline" valign="top" width="175">
                <strong><xsl:value-of select="/output/lang/ProxyUse"/></strong>
            </td>
            <td class="topline">
                <xsl:choose>
                <xsl:when test="proxyUse='true'">
                <input type="checkbox" name="proxyUse" checked="checked"/>
                </xsl:when>
                <xsl:otherwise>
                <input type="checkbox" name="proxyUse"/>
                </xsl:otherwise>
                </xsl:choose>

            </td>
        </tr>
        <tr>
            <td valign="top"><strong><xsl:value-of select="/output/lang/ProxyHost"/></strong></td>
            <td><input type="text" name="proxyHost" size="30" value="{proxyHost}"/></td>
        </tr>
         <tr>
            <td valign="top"><strong><xsl:value-of select="/output/lang/ProxyPort"/></strong></td>
            <td><input type="text" name="proxyPort" size="30" value="{proxyPort}"/></td>
        </tr>
        <tr>
            <td rowspan="2" valign="top" width="175">
                <strong><xsl:value-of select="/output/lang/ExternalServices"/></strong>
            </td>
            <xsl:if test="account">
            <td>
                        <table width="300" cellpadding="2" cellspacing="0" class="tableborder">
                            <thead>
                                <tr>
                                    <td><xsl:value-of select="/output/lang/Host"/></td>
                                    <td><xsl:value-of select="/output/lang/Username"/></td>
                                    <td><xsl:value-of select="/output/lang/Action"/></td>
                                </tr>
                            </thead>
                            <tbody>
                                <xsl:for-each select="account">
                                    <tr>
                                        <td><xsl:value-of select="host"/>
                                            <input type="hidden" name="ext.host.{@id}" value="{host}"/>
                                            <input type="hidden" name="ext.username.{@id}" value="{username}"/>
                                            <input type="hidden" name="ext.password.{@id}" value="{password}"/>
                                        </td>
                                        <td><xsl:value-of select="username"/>
                                        </td>
                                        <td>
                                            <input type="submit" name="ext.delete.{@id}" value="{/output/lang/Delete}"/>
                                        </td>
                                    </tr>
                                </xsl:for-each>
                            </tbody>
                        </table>
            </td>
            </xsl:if>
        </tr>
        <tr>
          <xsl:element name="td">
              <table border="0" class="innertable">
              <tr><td><xsl:value-of select="/output/lang/Host"/></td><td><input name="ext.host" size="30" value=""/></td></tr>
              <tr><td><xsl:value-of select="/output/lang/Username"/></td><td><input name="ext.username" size="30" value=""/></td></tr>
              <tr><td><xsl:value-of select="/output/lang/Password"/></td><td><input type="password" size="30" name="ext.password" value=""/></td></tr>
              </table>
          <input type="submit" name="add.extern" value="{/output/lang/Add}"/>
        </xsl:element></tr>
    </table>
    <br/>
</xsl:template>

<xsl:template match="security">
    <h2><xsl:value-of select="/output/lang/Security"/></h2>
    <table width="100%" cellpadding="2" cellspacing="0" class="tableborder">
        <tr>
            <td class="topline" valign="top" width="175"><strong><xsl:value-of select="/output/lang/AllowExtern"/></strong>
            </td>
                <td class="topline"><xsl:choose>
                    <xsl:when test="allowExtern='true'">
                    <input type="checkbox" name="allowExtern" checked="checked"/>
                    </xsl:when>
                    <xsl:otherwise>
                    <input type="checkbox" name="allowExtern"/>
                    </xsl:otherwise>
                    </xsl:choose>
                    </td>
        </tr>
        <tr>
            <td valign="top" width="175"><strong><xsl:value-of select="/output/lang/HTTPSPort"/></strong>
            </td>
            <td><input type="text" name="httpsPort" size="10" value="{httpsPort}"/></td>
        </tr>
        <tr>
            <td rowspan="2" valign="top" width="175">
                <strong><xsl:value-of select="/output/lang/UserAccounts"/></strong>
            </td>
            <xsl:if test="account">
            <td>
                        <table width="300" cellpadding="2" cellspacing="0" class="tableborder">
                            <thead>
                                <tr><td><xsl:value-of select="/output/lang/Username"/></td>
                                    <td><xsl:value-of select="/output/lang/Action"/></td>
                                </tr>
                            </thead>
                            <tbody>
                                <xsl:for-each select="account">
                                    <tr>
                                        <td><xsl:value-of select="username"/>
                                            <input type="hidden" name="sec.username.{@id}" value="{username}"/>
                                            <input type="hidden" name="sec.password.{@id}" value="{password}"/>
                                        </td>
                                        <td>
                                            <input type="submit" name="sec.delete.{@id}" value="{/output/lang/Delete}"/>
                                        </td>
                                    </tr>
                                </xsl:for-each>
                            </tbody>
                        </table>
            </td>
            </xsl:if>
            </tr>
        <tr>
            <td>
          <table border="0" class="innertable">
              <tr><td><xsl:value-of select="/output/lang/Username"/></td><td><input name="user.username" size="30" value=""/></td></tr>
              <tr><td><xsl:value-of select="/output/lang/Password"/></td><td><input type="password" size="30" name="user.password" value=""/></td></tr>
              </table>
          <input type="submit" name="add.user" value="{/output/lang/Add}"/>
        </td></tr>

    </table>

</xsl:template>

<xsl:template match="universal">
    <input type="hidden" name="view" value="universal"/>

    <h2><xsl:value-of select="/output/lang/Universal"/></h2>

    <!-- LANGUAGE -->
    <table width="100%" cellpadding="2" cellspacing="0" class="tableborder">
            <tr>
                <td valign="top" width="175" class="topline"><strong><xsl:value-of select="/output/lang/InterfaceLanguage"/></strong>
                </td>
                <td class="topline">
                        <select name="language">
                            <xsl:element name="option">
                                <xsl:attribute name ="value">de</xsl:attribute>
                                <xsl:if test="language='de'">
                                    <xsl:attribute name="selected">selected</xsl:attribute>
                                </xsl:if>
                                <xsl:value-of select="/output/lang/German"/>
                            </xsl:element>
                            <xsl:element name="option">
                                <xsl:attribute name ="value">en</xsl:attribute>
                                <xsl:if test="language='en'">
                                    <xsl:attribute name="selected">selected</xsl:attribute>
                                </xsl:if>
                                <xsl:value-of select="/output/lang/English"/>
                            </xsl:element>
                        </select>
                </td>
            </tr>
            <tr>
                <td valign="top" width="175"><strong><xsl:value-of select="/output/lang/Theme"/></strong>
                </td>
                <td><select name="theme">
                    <xsl:for-each select="themes/*">
                        <xsl:element name="option">
                            <xsl:attribute name ="value"><xsl:value-of select="@value"/></xsl:attribute>
                            <xsl:if test="@selected='true'">
                                <xsl:attribute name="selected">selected</xsl:attribute>
                            </xsl:if>
                            <xsl:value-of select="."/>
                        </xsl:element>
                    </xsl:for-each>
                   </select>
                </td>
            </tr>
        <tr>
            <td valign="top" width="175"><strong><xsl:value-of select="/output/lang/NumberOfResults"/></strong>
            </td>
            <td><xsl:if test="/output/lang/NumberOfResultsTextFirst">
                <xsl:value-of select="/output/lang/NumberOfResultsTextFirst"/>
                <xsl:text> </xsl:text>
                </xsl:if>
                <select name="numberOfResults">
                <xsl:for-each select="numberOfResults/*">
                    <xsl:element name="option">
                        <xsl:attribute name ="value"><xsl:value-of select="@value"/></xsl:attribute>
                        <xsl:if test="@selected='true'">
                            <xsl:attribute name="selected">selected</xsl:attribute>
                        </xsl:if>
                        <xsl:value-of select="."/>
                    </xsl:element>
                </xsl:for-each>
               </select>
               <xsl:text> </xsl:text>
               <xsl:value-of select="/output/lang/NumberOfResultsText"/>
            </td>
        </tr>
        <tr>
            <td valign="top" width="175"><strong><xsl:value-of select="/output/lang/ResultsWindow"/></strong>
            </td>
            <td><xsl:choose>
                <xsl:when test="resultsWindow='true'">
                <input type="checkbox" name="resultsWindow" checked="checked"/>
                </xsl:when>
                <xsl:otherwise>
                <input type="checkbox" name="resultsWindow"/>
                </xsl:otherwise>
                </xsl:choose>
                <xsl:text> </xsl:text>
                <xsl:value-of select="/output/lang/ResultsWindowText"/>
            </td>
        </tr>
    </table>
</xsl:template>

<xsl:template match="file">
    <input type="hidden" name="view" value="file"/>

    <h2><xsl:value-of select="/output/lang/FileSystem"/></h2>

    <table width="100%" cellpadding="2" cellspacing="0" class="tableborder">
        <tr>
            <td class="topline" valign="top" width="175">
                <strong><xsl:value-of select="/output/lang/Paths"/></strong>
            </td>
            <td class="topline">
                <textarea name="paths" rows="5" cols="60" wrap="OFF">
                <xsl:value-of select="paths"/>
                </textarea>
            </td>
        </tr>
        <tr>
            <td valign="top" width="175">
                <strong><xsl:value-of select="/output/lang/ExcludedPaths"/></strong>
            </td>
            <td>
                <textarea name="excludedPaths" rows="5" cols="60" wrap="OFF">
                <xsl:value-of select="excludedPaths"/>
                </textarea>
            </td>
        </tr>
        <tr>
            <td valign="top" width="175">
                <strong><xsl:value-of select="/output/lang/FileTypes"/></strong>
            </td>
            <td>
                <textarea name="fileTypes" rows="5" cols="60" wrap="HARD">
                <xsl:value-of select="fileTypes"/>
                </textarea>
            </td>
        </tr>
        <tr>
            <td valign="top"><strong><xsl:value-of select="/output/lang/Interval"/></strong></td>
            <td><select name="interval">
                    <xsl:for-each select="interval/*">
                        <xsl:element name="option">
                            <xsl:attribute name = "value"><xsl:value-of select="@value"/></xsl:attribute>
                            <xsl:if test="@selected='true'">
                                <xsl:attribute name="selected">selected</xsl:attribute>
                            </xsl:if>
                            <xsl:value-of select="."/>
                        </xsl:element>
                    </xsl:for-each>
                   </select>
                </td>
        </tr>
    </table>
</xsl:template>

<xsl:template match="mail">
    <input type="hidden" name="view" value="mail"/>
    <input type="hidden" name="id" value="{@id}"/>
    <h2><xsl:value-of select="/output/lang/MailAccount"/></h2>

    <table width="100%" cellpadding="2" cellspacing="0" class="tableborder">
        <tr>
            <td valign="top" class="topline"><strong><xsl:value-of select="/output/lang/Host"/></strong></td>
            <td class="topline"><input type="text" name="host" size="30" value="{host}"/></td>
        </tr>
        <tr>
            <td valign="top"><strong><xsl:value-of select="/output/lang/Account"/></strong></td>
            <td><input type="text" name="user" size="30" value="{user}"/></td>
        </tr>
        <tr>
            <td valign="top"><strong><xsl:value-of select="/output/lang/Password"/></strong></td>
            <td><input type="password" name="password" size="15" value="{password}"/></td>
        </tr>
        <tr>
            <td valign="top"><strong><xsl:value-of select="/output/lang/SSL"/></strong></td>
            <td><xsl:choose>
                <xsl:when test="ssl='true'">
                <input type="checkbox" name="ssl" checked="checked"/>
                </xsl:when>
                <xsl:otherwise>
                <input type="checkbox" name="ssl"/>
                </xsl:otherwise>
                </xsl:choose>
                </td>
        </tr>
        <tr>
            <td valign="top"><strong><xsl:value-of select="/output/lang/Interval"/></strong></td>
            <td><select name="interval">
                    <xsl:for-each select="interval/*">
                        <xsl:element name="option">
                            <xsl:attribute name ="value"><xsl:value-of select="@value"/></xsl:attribute>
                            <xsl:if test="@selected='true'">
                                <xsl:attribute name="selected">selected</xsl:attribute>
                            </xsl:if>
                            <xsl:value-of select="."/>
                        </xsl:element>
                    </xsl:for-each>
                   </select></td>
        </tr>
    </table>
</xsl:template>

<xsl:template match="news">
    <input type="hidden" name="view" value="news"/>
    <input type="hidden" name="id" value="{@id}"/>
    <h2><xsl:value-of select="/output/lang/NewsChannel"/></h2>

    <table width="100%" cellpadding="2" cellspacing="0" class="tableborder">
        <tr>
            <td valign="top" class="topline"><strong><xsl:value-of select="/output/lang/Name"/></strong></td>
            <td class="topline"><input type="text" name="name" size="60" value="{name}"/></td>
        </tr>
        <tr>
            <td valign="top"><strong><xsl:value-of select="/output/lang/Url"/></strong></td>
            <td><input type="text" name="url" size="60" value="{url}"/></td>
        </tr>
        <tr>
            <td valign="top"><strong><xsl:value-of select="/output/lang/Interval"/></strong></td>
            <td><select name="interval">
                    <xsl:for-each select="interval/*">
                        <xsl:element name="option">
                            <xsl:attribute name ="value"><xsl:value-of select="@value"/></xsl:attribute>
                            <xsl:if test="@selected='true'">
                                <xsl:attribute name="selected">selected</xsl:attribute>
                            </xsl:if>
                            <xsl:value-of select="."/>
                        </xsl:element>
                    </xsl:for-each>
                   </select></td>
        </tr>
    </table>
</xsl:template>

<xsl:template match="lang"></xsl:template>

</xsl:stylesheet>
